# FixedContextCategory.hh File Reference

`#include <log4cpp/Portability.hh>`
`#include <log4cpp/Category.hh>`

Include dependency graph for FixedContextCategory.hh:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces

namespace | log4cpp

## Classes

class | log4cpp::FixedContextCategory
| This Category subclass replaces the NDC field in LoggingEvents with a fixed context string. More...